:host{
  height: 100vh;
  // by default
  width: var(--sidenav-collapsed-width);

  &.is-expanded {
    width: var(--sidenav-width);
  }


  box-sizing: border-box;

  position: sticky;
  top: 0;

  background-color: #f6f2f2;
  transition: width 300ms cubic-bezier(.02,.68,.63,.98);
}

.side-band-components{
  padding-left: 16px;
  padding-right: 16px;
}
.side-band-content-container{
  direction: rtl;
  height: 100%;

  box-sizing: border-box;
  overflow-y: auto;
}

.toggle-button {
  display: flex;

  align-items: center;
  justify-content: center;

  $size: 25px;
  width: $size;
  height: $size;
  margin: 0;
  padding: 0;

  position: absolute;
  top: 0px;
  right: calc($size / -2) - 2px;

  border: 1px solid gray;
  border-radius: 50%;

  background-color: white;

  cursor: pointer;

  &:hover {
    border: 2px solid rgb(36, 82, 231);
  }

  &.is-flipped {
    transform: rotate(-180deg);
  }

  mat-icon {
    font-size: 1.5em;
    width: fit-content;
    height: fit-content;
  }
}

.resize-handle {
  height: 100vh;

  background-color: rgb(0, 0, 0);
  width: 0.5px;

  position: absolute;
  top: 0;
  right: 0;

  cursor: ew-resize;

  // these prevent text selection while dragging
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  transition: background-color 0.2s ease-out, width 0.2s ease-out;

  &:hover {
    width: 3px;
    background-color: rgb(93, 159, 235);
  }

  // buffer to make it easier to grab the resize handle
   &::after {
     content: "";
     display: block;

     height: 100%;

     width: 12px;

     position: absolute;
     right: -6px;
   }

   &.resizing::after {
    width: 500px;
    right: -250px;
  }
}



h4{
  text-align: center;
  border-bottom : 1.5px solid #000;
  padding: 20px;
}
